%define anolis_release 1

Name:		sound-theme-freedesktop
Version:	0.8
Release:	%{anolis_release}%{?dist}
Summary:	freedesktop.org sound theme

License:	GPLv2+ and LGPLv2+ and CC-BY-SA and CC-BY
URL:		http://www.freedesktop.org/wiki/Specifications/sound-theme-spec
Source0:	https://people.freedesktop.org/~mccann/dist/sound-theme-freedesktop-0.8.tar.bz2

BuildArch: 	noarch
BuildRequires: 	make
BuildRequires:  gcc
BuildRequires: 	gettext
BuildRequires: 	intltool >= 0.40
Requires(post): coreutils
Requires(postun): coreutils

%description
The default freedesktop.org sound theme following the XDG theming
specification.  (http://0pointer.de/public/sound-theme-spec.html).

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure

%install
%make_install

%post
touch --no-create %{_datadir}/sounds/freedesktop %{_datadir}/sounds
 
%postun
touch --no-create %{_datadir}/sounds/freedesktop %{_datadir}/sounds

%files
%license COPYING
%doc README
%dir %{_datadir}/sounds/freedesktop
%dir %{_datadir}/sounds/freedesktop/stereo
%{_datadir}/sounds/freedesktop/index.theme
%{_datadir}/sounds/freedesktop/stereo/*.oga

%changelog
* Mon Apr 18 2022 happy_orange <songnannan@linux.alibaba.com> - 0.8-1
- Init package from upstream
